API Documentation
Kuali Research REST APIs - Negotiations
Research Negotiation ¶
Negotiation Activities ¶
Get Negotiation Activities by KeyGET/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activities with FilteringGET/negotiation/api/v1/negotiation-activities/
Example URI
- activityId
string(optional)negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)- activityTypeId
string(optional)Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- locationId
string(optional)Location. Maximum length is 22. Validating pattern is ^[0-9]*$.
- startDate
string(optional)Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- endDate
string(optional)Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- createDate
string(optional)Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- followupDate
string(optional)Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedUsername
string(optional)Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- lastModifiedDate
string(optional)Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- description
string(optional)Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"activityId",
"negotiationId",
"activityTypeId",
"locationId",
"startDate",
"endDate",
"createDate",
"followupDate",
"lastModifiedUsername",
"lastModifiedDate",
"description",
"restricted"
],
"primaryKey": "activityId"
}Get Blueprint API specification for Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activities.md"
transfer-encoding: chunkedUpdate Negotiation ActivitiesPUT/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation ActivitiesPUT/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation ActivitiesPATCH/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}204Body
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation ActivitiesPOST/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}201Body
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation ActivitiesPOST/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"negotiationId": "(val)",
"activityTypeId": "(val)",
"locationId": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"createDate": "(val)",
"followupDate": "(val)",
"lastModifiedUsername": "(val)",
"lastModifiedDate": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activities by KeyDELETE/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation ActivitiesDELETE/negotiation/api/v1/negotiation-activities/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activities with MatchingDELETE/negotiation/api/v1/negotiation-activities/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- activityId
string(optional)negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)- activityTypeId
string(optional)Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- locationId
string(optional)Location. Maximum length is 22. Validating pattern is ^[0-9]*$.
- startDate
string(optional)Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- endDate
string(optional)Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- createDate
string(optional)Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- followupDate
string(optional)Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedUsername
string(optional)Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- lastModifiedDate
string(optional)Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- description
string(optional)Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Activity Attachments ¶
Get Negotiation Activity Attachments by KeyGET/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activity Attachments with FilteringGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- attachmentId
string(optional)attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- activityId
string(optional)- fileId
string(optional)- description
string(optional)Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"attachmentId",
"activityId",
"fileId",
"description",
"restricted"
],
"primaryKey": "attachmentId"
}Get Blueprint API specification for Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Attachments.md"
transfer-encoding: chunkedUpdate Negotiation Activity AttachmentsPUT/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Activity AttachmentsPUT/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Activity AttachmentsPATCH/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}204Body
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Activity AttachmentsPOST/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}201Body
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Activity AttachmentsPOST/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"attachmentId": "(val)",
"activityId": "(val)",
"fileId": "(val)",
"description": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activity Attachments by KeyDELETE/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity AttachmentsDELETE/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity Attachments with MatchingDELETE/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- attachmentId
string(optional)attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- activityId
string(optional)- fileId
string(optional)- description
string(optional)Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Activity Types ¶
Get Negotiation Activity Types by KeyGET/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activity Types with FilteringGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"code",
"description",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Types.md"
transfer-encoding: chunkedUpdate Negotiation Activity TypesPUT/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Activity TypesPUT/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Activity TypesPATCH/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Activity TypesPOST/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Activity TypesPOST/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activity Types by KeyDELETE/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity TypesDELETE/negotiation/api/v1/negotiation-activity-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity Types with MatchingDELETE/negotiation/api/v1/negotiation-activity-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Agreement Types ¶
Get Negotiation Agreement Types by KeyGET/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Agreement Types with FilteringGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"code",
"description",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Agreement Types.md"
transfer-encoding: chunkedUpdate Negotiation Agreement TypesPUT/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Agreement TypesPUT/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Agreement TypesPATCH/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Agreement TypesPOST/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Agreement TypesPOST/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Agreement Types by KeyDELETE/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Agreement TypesDELETE/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Agreement Types with MatchingDELETE/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Association Types ¶
Get Negotiation Association Types by KeyGET/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Association Types with FilteringGET/negotiation/api/v1/negotiation-association-types/
Example URI
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- linkedBoClass
string(optional)Links To Module. Maximum length is 32. Validating pattern is .*.
- sortId
string(optional)Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"code",
"description",
"linkedBoClass",
"sortId",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Association Types.md"
transfer-encoding: chunkedUpdate Negotiation Association TypesPUT/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Association TypesPUT/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Association TypesPATCH/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Association TypesPOST/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Association TypesPOST/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Association Types by KeyDELETE/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Association TypesDELETE/negotiation/api/v1/negotiation-association-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Association Types with MatchingDELETE/negotiation/api/v1/negotiation-association-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- linkedBoClass
string(optional)Links To Module. Maximum length is 32. Validating pattern is .*.
- sortId
string(optional)Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Custom Data ¶
Get Negotiation Custom Data by KeyGET/negotiation/api/v1/negotiation-custom-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Custom Data with FilteringGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- negotiationCustomDataId
string(optional)- negotiationNumber
string(optional)- customAttributeId
string(optional)- value
string(optional)Value. Maximum length is 2000. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiationCustomDataId",
"negotiationNumber",
"customAttributeId",
"value"
],
"primaryKey": "negotiationCustomDataId"
}Get Blueprint API specification for Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Custom Data.md"
transfer-encoding: chunkedNegotiation Locations ¶
Get Negotiation Locations by KeyGET/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Locations with FilteringGET/negotiation/api/v1/negotiation-locations/
Example URI
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"code",
"description",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Locations.md"
transfer-encoding: chunkedUpdate Negotiation LocationsPUT/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation LocationsPUT/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation LocationsPATCH/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation LocationsPOST/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation LocationsPOST/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Locations by KeyDELETE/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation LocationsDELETE/negotiation/api/v1/negotiation-locations/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Locations with MatchingDELETE/negotiation/api/v1/negotiation-locations/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Notifications ¶
Get Negotiation Notifications by KeyGET/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
},
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Notifications with FilteringGET/negotiation/api/v1/negotiation-notifications/
Example URI
- notificationId
string(optional)- notificationTypeId
string(optional)- documentNumber
string(optional)- owningDocumentIdFk
string(optional)- recipients
string(optional)- subject
string(optional)- message
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
},
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"notificationId",
"notificationTypeId",
"documentNumber",
"owningDocumentIdFk",
"recipients",
"subject",
"message"
],
"primaryKey": "notificationId"
}Get Blueprint API specification for Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Notifications.md"
transfer-encoding: chunkedUpdate Negotiation NotificationsPUT/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation NotificationsPUT/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
},
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation NotificationsPATCH/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}204Body
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation NotificationsPOST/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}201Body
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation NotificationsPOST/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
},
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
},
{
"notificationId": "(val)",
"notificationTypeId": "(val)",
"documentNumber": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"message": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Notifications by KeyDELETE/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation NotificationsDELETE/negotiation/api/v1/negotiation-notifications/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Notifications with MatchingDELETE/negotiation/api/v1/negotiation-notifications/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- notificationId
string(optional)- notificationTypeId
string(optional)- documentNumber
string(optional)- owningDocumentIdFk
string(optional)- recipients
string(optional)- subject
string(optional)- message
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Person Mass Changes ¶
Get Negotiation Person Mass Changes by KeyGET/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Person Mass Changes with FilteringGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- negotiationPersonMassChangeId
string(optional)Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- negotiator
string(optional)Negotiator. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiationPersonMassChangeId",
"personMassChangeId",
"negotiator"
],
"primaryKey": "negotiationPersonMassChangeId"
}Get Blueprint API specification for Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Person Mass Changes.md"
transfer-encoding: chunkedUpdate Negotiation Person Mass ChangesPUT/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Person Mass ChangesPUT/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Person Mass ChangesPATCH/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}204Body
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Person Mass ChangesPOST/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}201Body
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Person Mass ChangesPOST/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"personMassChangeId": "(val)",
"negotiator": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Person Mass Changes by KeyDELETE/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Person Mass ChangesDELETE/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Person Mass Changes with MatchingDELETE/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- negotiationPersonMassChangeId
string(optional)Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- negotiator
string(optional)Negotiator. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Statuses ¶
Get Negotiation Statuses by KeyGET/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Statuses with FilteringGET/negotiation/api/v1/negotiation-statuses/
Example URI
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"code",
"description",
"active"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Statuses.md"
transfer-encoding: chunkedUpdate Negotiation StatusesPUT/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation StatusesPUT/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation StatusesPATCH/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation StatusesPOST/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation StatusesPOST/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"code": "(val)",
"description": "(val)",
"active": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Statuses by KeyDELETE/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation StatusesDELETE/negotiation/api/v1/negotiation-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Statuses with MatchingDELETE/negotiation/api/v1/negotiation-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- code
string(optional)Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiation Unassociated Details ¶
Get Negotiation Unassociated Details by KeyGET/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Unassociated Details with FilteringGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- negotiationUnassociatedDetailId
string(optional)negotiationUnassociatedDetailId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- title
string(optional)Title. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- piPersonId
string(optional)Principal Investigator Employee. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- piRolodexId
string(optional)Principal Investigator Non-Employee. Maximum length is 6. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
- leadUnitNumber
string(optional)Lead Unit. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sponsorCode
string(optional)Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- piName
string(optional)Principal Investigator Name. Maximum length is 90. Validating pattern is .*.
- primeSponsorCode
string(optional)Prime Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- sponsorAwardNumber
string(optional)Sponsor Award ID. Maximum length is 70. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- contactAdminPersonId
string(optional)Admin Person. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- subAwardOrganizationId
string(optional)Subaward Organization. Maximum length is 8. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiationUnassociatedDetailId",
"negotiationId",
"title",
"piPersonId",
"piRolodexId",
"leadUnitNumber",
"sponsorCode",
"piName",
"primeSponsorCode",
"sponsorAwardNumber",
"contactAdminPersonId",
"subAwardOrganizationId"
],
"primaryKey": "negotiationUnassociatedDetailId"
}Get Blueprint API specification for Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Unassociated Details.md"
transfer-encoding: chunkedUpdate Negotiation Unassociated DetailsPUT/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Unassociated DetailsPUT/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Unassociated DetailsPATCH/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Unassociated DetailsPOST/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Unassociated DetailsPOST/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationUnassociatedDetailId": "(val)",
"negotiationId": "(val)",
"title": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"leadUnitNumber": "(val)",
"sponsorCode": "(val)",
"piName": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"contactAdminPersonId": "(val)",
"subAwardOrganizationId": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Unassociated Details by KeyDELETE/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Unassociated DetailsDELETE/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Unassociated Details with MatchingDELETE/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- negotiationUnassociatedDetailId
string(optional)negotiationUnassociatedDetailId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- title
string(optional)Title. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
- piPersonId
string(optional)Principal Investigator Employee. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- piRolodexId
string(optional)Principal Investigator Non-Employee. Maximum length is 6. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
- leadUnitNumber
string(optional)Lead Unit. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sponsorCode
string(optional)Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- piName
string(optional)Principal Investigator Name. Maximum length is 90. Validating pattern is .*.
- primeSponsorCode
string(optional)Prime Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- sponsorAwardNumber
string(optional)Sponsor Award ID. Maximum length is 70. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- contactAdminPersonId
string(optional)Admin Person. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- subAwardOrganizationId
string(optional)Subaward Organization. Maximum length is 8. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Negotiations ¶
Get Negotiations by KeyGET/negotiation/api/v1/negotiations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}Get All NegotiationsGET/negotiation/api/v1/negotiations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiations with FilteringGET/negotiation/api/v1/negotiations/
Example URI
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- documentNumber
string(optional)Document Number. Maximum length is 25. Validating pattern is ^[\p{Graph}]*$.
- negotiationStatusId
string(optional)Negotiation Status. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationAgreementTypeId
string(optional)Agreement Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationAssociationTypeId
string(optional)Negotiation Association Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiatorPersonId
string(optional)Negotiator. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- negotiatorName
string(optional)Full Name. Maximum length is 90. Validating pattern is .*.
- negotiationStartDate
string(optional)Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- negotiationEndDate
string(optional)End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- anticipatedAwardDate
string(optional)Anticipated Award Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- documentFolder
string(optional)Document Folder. Maximum length is 255. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- associatedDocumentId
string(optional)Negotiation Association ID. Maximum length is 25. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for NegotiationsGET/negotiation/api/v1/negotiations/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiationId",
"documentNumber",
"negotiationStatusId",
"negotiationAgreementTypeId",
"negotiationAssociationTypeId",
"negotiatorPersonId",
"negotiatorName",
"negotiationStartDate",
"negotiationEndDate",
"anticipatedAwardDate",
"documentFolder",
"associatedDocumentId"
],
"primaryKey": "negotiationId"
}Get Blueprint API specification for NegotiationsGET/negotiation/api/v1/negotiations/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiations.md"
transfer-encoding: chunkedUpdate NegotiationsPUT/negotiation/api/v1/negotiations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple NegotiationsPUT/negotiation/api/v1/negotiations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes NegotiationsPATCH/negotiation/api/v1/negotiations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}Insert NegotiationsPOST/negotiation/api/v1/negotiations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple NegotiationsPOST/negotiation/api/v1/negotiations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationId": "(val)",
"documentNumber": "(val)",
"negotiationStatusId": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiatorPersonId": "(val)",
"negotiatorName": "(val)",
"negotiationStartDate": "(val)",
"negotiationEndDate": "(val)",
"anticipatedAwardDate": "(val)",
"documentFolder": "(val)",
"associatedDocumentId": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiations by KeyDELETE/negotiation/api/v1/negotiations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All NegotiationsDELETE/negotiation/api/v1/negotiations/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiations with MatchingDELETE/negotiation/api/v1/negotiations/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- documentNumber
string(optional)Document Number. Maximum length is 25. Validating pattern is ^[\p{Graph}]*$.
- negotiationStatusId
string(optional)Negotiation Status. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationAgreementTypeId
string(optional)Agreement Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationAssociationTypeId
string(optional)Negotiation Association Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiatorPersonId
string(optional)Negotiator. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- negotiatorName
string(optional)Full Name. Maximum length is 90. Validating pattern is .*.
- negotiationStartDate
string(optional)Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- negotiationEndDate
string(optional)End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- anticipatedAwardDate
string(optional)Anticipated Award Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- documentFolder
string(optional)Document Folder. Maximum length is 255. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- associatedDocumentId
string(optional)Negotiation Association ID. Maximum length is 25. Validating pattern is ^[\p{Graph}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204